osgManipulator::PlaneProjector Class Reference

`#include <Projector>`

Inheritance diagram for osgManipulator::PlaneProjector:

## Public Member Functions

| PlaneProjector ()
| PlaneProjector (const osg::Plane &plane)
void | setPlane (const osg::Plane &plane)
const osg::Plane & | getPlane () const
virtual bool | project (const PointerInfo &pi, osg::Vec3d &projectedPoint) const
Public Member Functions inherited from osgManipulator::Projector
| Projector ()
void | setLocalToWorld (const osg::Matrix &localToWorld)
const osg::Matrix & | getLocalToWorld () const
const osg::Matrix & | getWorldToLocal () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~PlaneProjector ()
Protected Member Functions inherited from osgManipulator::Projector
virtual | ~Projector ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::Plane | _plane
Protected Attributes inherited from osgManipulator::Projector
osg::Matrix | _localToWorld
osg::Matrix | _worldToLocal
bool | _worldToLocalDirty
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

PlaneProjector projects points onto the given line.

## Constructor & Destructor Documentation

## PlaneProjector() [1/2]

osgManipulator::PlaneProjector::PlaneProjector | ( |  | ) |

## PlaneProjector() [2/2]

osgManipulator::PlaneProjector::PlaneProjector | ( | const osg::Plane & | plane | ) |

## ~PlaneProjector()

virtual osgManipulator::PlaneProjector::~PlaneProjector | ( |  | ) |

protected virtual

## Member Function Documentation

## getPlane()

const osg::Plane & osgManipulator::PlaneProjector::getPlane | ( |  | ) | const

inline

References _plane.

## project()

virtual bool osgManipulator::PlaneProjector::project | ( | const PointerInfo & | pi,
|  | osg::Vec3d & | projectedPoint ) const

virtual

Calculates the object coordinates (projectedPoint) of a window coordinate (pointToProject) when projected onto the given plane. Returns true on successful projection.

Implements osgManipulator::Projector.

## setPlane()

void osgManipulator::PlaneProjector::setPlane | ( | const osg::Plane & | plane | ) |

inline

References _plane.

## Member Data Documentation

## _plane

osg::Plane osgManipulator::PlaneProjector::_plane

protected

Referenced by getPlane(), and setPlane().

The documentation for this class was generated from the following file:

- Projector